<?php 
ini_set('max_execution_time', 500);
//CONEXIONES
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());
$querydepartamento ="SELECT  d.num_departamento,
					d.num_piso,
					p.proyecto,
					pv.id_pro_venta,
					pv.fec_promesa,
					pv.fec_escritura,
                    e.etapa,
					p.proyecto,
					ee.edificio,
					te.num_pisos, 
					te.num_subterraneos,
					t.tip_departamento,
					t.sup_util,
					t.sup_terraza,
					t.num_dormitorios,
					t.num_banos,
					per.id_persona,
					per.id_tip_persona,
					per.tel_fijo, 
					per.rut,
					per.direccion,
					per.email, 
					per.fec_registro
                    FROM  $itodos.tbl_dptoxedificioxetapaxproy d
                    INNER JOIN  $itodos.tbl_proyecto p ON p.id_proyecto = d.id_proyecto
                    INNER JOIN  $itodos.tbl_tipo_departamentoxproyecto td ON td.id_tip_departamento = d.id_tip_departamento
                    INNER JOIN  $itodos.tbl_etapaxproyecto e ON e.id_etapa = d.id_etapa  AND e.id_proyecto = d.id_proyecto
                    INNER JOIN  $itodos.tbl_edificioxetapaxproyecto ee ON ee.id_edificio = d.id_edificio
                    INNER JOIN  $itodos.tbl_tipo_edificioxproyecto te ON te.id_tip_edificio = ee.id_tip_edificio
                    INNER JOIN  $itodos.tbl_tipo_departamentoxproyecto t ON t.id_tip_departamento = d.id_tip_departamento
                    /*VALIDAR ENTREGADOS  */
                    INNER JOIN $itodos.tbl_proceso_venta pv ON pv.id_departamento = d.id_departamento and pv.estado = 5 
					INNER JOIN $itodos.tbl_persona per ON per.id_persona = pv.cliente 
					WHERE  
					p.id_proyecto =  3 
					or p.id_proyecto = 4  
				    OR p.id_proyecto =  9 
					or p.id_proyecto = 15	
					or p.id_proyecto = 20	
					or p.id_proyecto = 21
					OR p.id_proyecto =  22 
					or p.id_proyecto = 23 
					OR p.id_proyecto =  29
					or p.id_proyecto = 35	
					or p.id_proyecto = 36	
					or p.id_proyecto = 37	 
					or p.id_proyecto =38 
					or  p.id_proyecto =39 
					or p.id_proyecto = 42
					or p.id_proyecto = 43
				    or p.id_proyecto = 40
					or p.id_proyecto = 45	
					or p.id_proyecto = 46	
					or p.id_proyecto = 	47
					or p.id_proyecto = 	48
					or p.id_proyecto = 50
					or p.id_proyecto = 49
					or p.id_proyecto = 55
					or p.id_proyecto = 63
					or p.id_proyecto = 66
					or p.id_proyecto = 54
					";

		$resultado = mysql_query($querydepartamento,$conexion2)or die(mysql_error());
		 	if(mysql_num_rows($resultado)> 0){
				 $num = 0;
			while($fila = mysql_fetch_assoc($resultado)){

		   	 			//PERSONA
		   	 			$rut =$fila['rut'];
						$direccion =$fila['direccion'];
						$tel_fijo =$fila['tel_fijo'];
						$email = $fila['email'];
						$tipopersona = $fila['id_tip_persona'];
						$fec_registro=$fila['fec_registro'];
						$id_persona =$fila['id_persona'];
						//BUSCAR 
		    			 $id_proyecto = buscarIDproyecto($fila['proyecto'],$conexion1);
			    		 $id_etapa = buscarIDetapa($fila['etapa'],$id_proyecto,$conexion1);
			    		 $edificio = $fila['edificio'];
			    		 $numero = $fila['num_departamento'];
		    			 $id_pro_venta =$fila['id_pro_venta'];
		    			 $id_perfil = "7";/*CLIENTE */
		    			 $usuario = "";
		    			 $iniciales = "";
						 $existepersona  = buscarpersona($rut,$conexion1);

						echo $id_proyecto." idProyecto <br>";
						echo $id_etapa."idetapa <br>";
						echo $edificio."edificio <br>";
						echo $numero."numero <br>";
						$id_propiedad=  buscarIDpropiedad($id_proyecto,$id_etapa,$edificio,$numero,$conexion1);
						 
	

                        echo $id_propiedad;
		    			 if($existepersona == "1"){
								//echo "ACTUALIZA"."<br>";
						   $id_persona = buscarpersonaID($rut,$conexion1);
						   $existepropietario = buscarPropietario($id_persona,$id_pro_venta,$conexion1);
								   //if($existepropietario == "1"){
								   //		echo "SE ACTUALIZA EL PROPIETARIO Y PROPIEDAD"."<br>";

								   //}else{
											 $queryEliminarAnterior = "DELETE FROM  tblpropietarios WHERE ID_PERSONA ='$id_persona' AND ID_PROPIEDAD = '$id_propiedad'";
											 if(mysql_query($queryEliminarAnterior,$conexion1)){

											   $querypropiedad = "INSERT INTO tblpropietarios(ID_PERSONA, ID_PROPIEDAD, PRO_VENTA)
																	 VALUES ('$id_persona','$id_propiedad','$rut')";
													if(mysql_query($querypropiedad,$conexion1)){
															echo "GUARDADO NUEVA PROPIETAD"."<br>";
													}else{
														echo mysql_error();
													}
											 }else{
														echo mysql_error();
											 }
										
								   //}
				
		    			 }else{
			    			 		 $queryINSERTPersona="INSERT INTO tblpersonas( ID_TIPOPERSONA, ID_PERFIL,RUT, DIRECCION, TEL_FIJO, EMAIL, FEC_REGISTRO,USUARIO, INICIALES, ESTADO)
							 						 VALUES ('$tipopersona','$id_perfil','$rut','$direccion','$tel_fijo','$email','$fec_registro','$usuario','$iniciales','0')";
								if(mysql_query($queryINSERTPersona,$conexion1)){
						  			$ultimo=mysql_insert_id($conexion1);

									$queryEliminarAnterior = "DELETE FROM  tblpropietarios WHERE ID_PERSONA ='$ultimo' AND ID_PROPIEDAD = '$id_propiedad'";
											if(mysql_query($queryEliminarAnterior,$conexion1)){
														$querypropiedad = "INSERT INTO tblpropietarios(ID_PERSONA, ID_PROPIEDAD, PRO_VENTA)
															VALUES ('$ultimo','$id_propiedad','$rut')";
															if(mysql_query($querypropiedad,$conexion1)){
														echo "GUARDADO"."<br>";
													}else{
														echo mysql_error();
													}

											}else{
											echo mysql_error();

											}
								
								 }else{
								 	echo mysql_error();
								 }

		    			 }

  				}
		     }else{
		     	echo "NO TRAE FILAS";
		    }






function buscarpersona($rut,$conexion){
	$resultado = mysql_query("SELECT ID_PERSONA, RUT, DIRECCION FROM pvitls_postventa.tblpersonas WHERE RUT  ='$rut'",$conexion); 
 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }
}



function buscarpersonaID($rut,$conexion){
	$resultado = mysql_query("SELECT ID_PERSONA, RUT, DIRECCION FROM pvitls_postventa.tblpersonas WHERE RUT  ='$rut'",$conexion); 
	 	while( $resultado = mysql_fetch_array($resultado) ) { 
   			return $resultado['ID_PERSONA']; 
		} 
}

function buscarPropietario($id_persona,$id_pro_venta,$conexion){
	$resultado = mysql_query("SELECT ID_PROPIETARIO, ID_PERSONA, ID_PROPIEDAD, PRO_VENTA FROM pvitls_postventa.tblpropietarios
									 WHERE  ID_PERSONA = '$id_persona' AND PRO_VENTA = '$id_pro_venta'",$conexion); 
 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }
}

function buscarIDpropiedad($id_proyecto,$id_etapa,$edificio,$numero,$conexion){
	$resultado = mysql_query("SELECT p.ID_PROPIEDAD, po.ID_PROYECTO, e.ID_ETAPA, m.ABREVIATURA, NUMERO
					FROM pvitls_postventa.tblpropiedades p
					INNER JOIN pvitls_postventa.tblconfiguracionetapas c ON c.ID_DISENOETAPA = p.ID_DISENOETAPA
					INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones m ON m.ID_MODELOUNIDADCONSTRUCCION = c.ID_MODELOUNIDADCONSTRUCCION
					INNER JOIN pvitls_postventa.tbletapas e ON e.ID_ETAPA = c.ID_ETAPA
					INNER JOIN pvitls_postventa.tblproyectos po ON po.ID_PROYECTO = e.ID_PROYECTO
					WHERE po.ID_PROYECTO = '$id_proyecto' AND e.ID_ETAPA = '$id_etapa' AND m.ABREVIATURA = '$edificio' AND NUMERO = '$numero'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROPIEDAD']; 
	}  
}


function buscarIDproyecto($proyecto,$conexion){
	$resultado = mysql_query("SELECT ID_PROYECTO FROM  pvitls_postventa.tblproyectos WHERE PROYECTO = '$proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROYECTO']; 
	}  
}
//BUSCAMOS EL ID DE LA ETAPA
function buscarIDetapa($etapa,$id_proyecto,$conexion){	
$resultado = mysql_query("SELECT ID_ETAPA FROM  pvitls_postventa.tbletapas WHERE ETAPA = '$etapa' AND ID_PROYECTO = '$id_proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_ETAPA']; 
	}  
 }

?>